Subject: Re: bug#1505: duplicate entries in compile-history

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 6 Dec 2008 09:50:17 -0800 (PST)

Tom Tromey <[email-masked]> writes:

  > I ran into the following situation yesterday:
  > 
  > I ran one compile command in the morning.  Then, for the rest of the
  > day, I ran a couple of different compile command, alternating them
  > many times.  Near the end of the day, I wanted to re-run the first
  > command, but it had been removed from history.
  > 
  > It would be nice if there were a way to eliminate duplicates from
  > compile-history, so that older commands were not completely dropped.
  > For instance, a command could still be put at the front of the list;
  > but all duplicates of it elsewhere in the list could be removed at the
  > same time.

C-h v history-delete-duplicate RET

history-delete-duplicates is a variable defined in `C source code'.
Its value is t

Documentation:
*Non-nil means to delete duplicates in history.
If set to t when adding a new history element, all previous identical
elements are deleted from the history list.

(inspired by tcsh's histdup)

This works on all histories, not only compile-history.